oyranos-profile(1)

NAME
oyranos-profile - Oyranos CMS ICC profiles tool

SYNOPSIS
oyranos-profile -l PROFILENAME
oyranos-profile -m [-w FILENAME] PROFILENAME
oyranos-profile --ppmcie PROFILENAME
oyranos-profile -o FILENAME
oyranos-profile -w NAME [-j FILENAME | -m] PROFILENAME
oyranos-profile [ |-h ]

DESCRIPTION
The oyranos-profile programm shows informations about a ICC profile and allows some modifications.

OPTIONS

-l  list contained tags.

    -p NUMBER select tag
    -n NAME select tag

-m  show internal hash value.

    -w FILENAME write profile with correct hash

--ppmcie
    show CIE*xy chromaticities for use with ppmcie.

-o FILENAME
    write device informations to OpenICC JSON.

    -c NAME use device class. Useful device classes are monitor, scanner, printer, camera.

-w NAME PROFILENAME
    write ICC profile. The -w option specifies the new internal and external profile name. PROFILENAME specifies the source profile.

    -j FILENAME embed OpenICC JSON device from file
    -s NAME add prefix

GENERAL OPTIONS

-v, --verbose
    increase verbosity

ENVIRONMENT

OY_DEBUG
    set the Oyranos debug level. Alternatively the -v option can be used.

XDG_DATA_HOME XDG_DATA_DIRS
    route Oyranos to top directories containing resources. The derived paths for ICC profiles have a "color/icc" appended.
    http://www.oyranos.com/wiki/index.php?title=OpenIccDirectoryProposal

EXAMPLES

Show first tags content of profile:
    oyranos-profile -lv -p=1 sRGB.icc

Show the profile hash sum:
    oyranos-profile -m sRGB.icc

Show the RGB primaries of a matrix profile inside a CIE*xy diagram:
    ppmcie `oyranos-profile --ppmcie sRGB.icc` > sRGB_cie-xy.ppm

Add calibration data to meta tag of a device profile:
    oyranos-profile -w my_profile -j my_device.json my_profile.icc

AUTHOR
Kai-Uwe Behrmann (ku.b (at) gmx.de)

COPYRIGHT
(c) 2011-2012, Kai-Uwe Behrmann and others
License: new BSD <http://www.opensource.org/licenses/bsd-license.php>

SEE ALSO
oyranos-config-fltk(1) oyranos-config(1) oyranos(3) oyranos-profiles(1) ppmcie(1)
http://www.oyranos.org

BUGS
at: http://sourceforge.net/tracker/?group_id=177017&atid=879553